#
# STUN server interface
# Copyright 2019 Canonical Ltd.  All rights reserved.
#

from charmhelpers.core.hookenv import status_set
from charms.reactive import Endpoint


class StunServerProvides(Endpoint):
    def publish(self, urls, auth_secret):
        for relation in self.relations:
            relation.to_publish['urls'] = urls
            relation.to_publish['auth_secret'] = auth_secret
