#
# STUN serer interface
# Copyright 2019 Canonical Ltd.  All rights reserved.
#

from charms.reactive import Endpoint


class StunServerRequires(Endpoint):
    def get_servers(self):
        servers = []
        for r in self.relations:
            for u in r.units:
                servers.append({
                    "urls": u.received['urls'] or [],
                    "auth_secret": u.received['auth_secret'] or ""
                })
        return servers
